Class | Rubygame::ActiveEvent
In: | lib/rubygame/event.rb
Parent: | Event

Indicates that the Rubygame window has gained or lost focus from the window manager.

This event has these attributes:

gain: | true if the window gained focus, and false if it lost focus.
state: | string indicating what type of focus was gained or lost:
"mouse": | the mouse entered/exited the window
"keyboard": | the window gained or lost input focus
"active": | the window was minimized/iconified.

### Methods

new

### Attributes

gain | [RW] |
state | [RW] |

### Public Class methods

new(gain,state)

[Validate]